# Focused Convolution Video Querying Pipeline

## Table of Contents

1. [Project Prerequisites](#project-prerequisites)
3. [Project Setup](#project-setup)
3. [Dataset Setup](#dataset-setup)
4. [Evaluation](#evaluation)

## Project Prerequisites

This project depends on the installation of the following Python packages:

```bash
python3 -m pip install argparse matplotlib mapcalc opencv-python pillow pycocotools torch torchvision
```

## Project Setup

To set up the project, navigate to the project root directory and perform the following:

```bash
./scripts/setup.bash
```

## Dataset Setup

This project uses the [AAU RainSnow Traffic Surveillance Dataset](https://www.kaggle.com/datasets/aalborguniversity/aau-rainsnow/data). Under the project root directory, the entire dataset shoud be downloaded and placed under `data/AAU`.

## Evaluation

To obtain evaluation results, navigate to the project root directory and perform the following:

```bash
./scripts/evaluation.bash
```

Under the project root directory, the evaluation results are stored in `data/result.log`.
