import cv2
import header
import numpy as np

def detect_difference(input_current, input_last, focusification_mask):
    # Resize current and last input
    input_current = cv2.resize(input_current, (header.input_size, header.input_size))
    input_last = cv2.resize(input_last, (header.input_size, header.input_size))

    input_current = cv2.bitwise_and(input_current, input_current, mask = focusification_mask.numpy().astype(np.uint8))
    input_last = cv2.bitwise_and(input_last, input_last, mask = focusification_mask.numpy().astype(np.uint8))

    # Compute mean squared error as the difference
    difference = np.mean((input_current - input_last) ** 2)

    if difference > header.threshold_difference_detection:
        return True
    else:
        return False
